PHP K�sikirja
Edellinen |  | Seuraava

# PDO::getAttribute

(no version information, might be only in CVS)

PDO::getAttribute -- Retrieve a database connection attribute

## Description

mixed PDO::getAttribute ( long attribute )

Varoitus
Varoitus! T�m� funktio on EKSPERIMENTAALINEN. T�m�n funktion ominaisuudet, k�ytt�ytyminen, parametrit ja nimi voi muuttua varoituksetta seuraavissa PHP:n versioissa.

This function returns the value of a database connection attribute. To retrieve PDOStatement attributes, refer to PDOStatement::getAttribute().

Note that some databases may not support all of the database connection attributes.

## Parameters

attribute

  One of the PDO_ATTR_* constants. The constants that apply to database connections are as follows:

  PDO_ATTR_AUTOCOMMIT
  PDO_ATTR_CASE
  PDO_ATTR_CLIENT_VERSION
  PDO_ATTR_CONNECTION_STATUS
  PDO_ATTR_ERRMODE
  PDO_ATTR_ORACLE_NULLS
  PDO_ATTR_PERSISTENT
  PDO_ATTR_PREFETCH
  PDO_ATTR_SERVER_INFO
  PDO_ATTR_SERVER_VERSION
  PDO_ATTR_TIMEOUT

## Return values

A successful call returns the value of the requested PDO attribute. An unsuccessful call returns null.

## Examples

Esimerkki 1. Retrieving database connection attributes

`<?php
$conn = new PDO('odbc:sample', 'db2inst1', 'ibmdb2');
print "\nPDO_ATTR_AUTOCOMMIT: ";
print $conn->getAttribute(PDO_ATTR_AUTOCOMMIT);
print "\nPDO_ATTR_ERRMODE: ";
print $conn->getAttribute(PDO_ATTR_ERRMODE);
print "\nPDO_ATTR_CASE: ";
print $conn->getAttribute(PDO_ATTR_CASE);
print "\nPDO_ATTR_CLIENT_VERSION: ";
print $conn->getAttribute(PDO_ATTR_CLIENT_VERSION);
print "\nPDO_ATTR_CONNECTION_STATUS: ";
print $conn->getAttribute(PDO_ATTR_CONNECTION_STATUS);
print "\nPDO_ATTR_ORACLE_NULLS: ";
print $conn->getAttribute(PDO_ATTR_ORACLE_NULLS);
print "\nPDO_ATTR_PERSISTENT: ";
print $conn->getAttribute(PDO_ATTR_PERSISTENT);
print "\nPDO_ATTR_PREFETCH: ";
print $conn->getAttribute(PDO_ATTR_PREFETCH);
print "\nPDO_ATTR_SERVER_INFO: ";
print $conn->getAttribute(PDO_ATTR_SERVER_INFO);
print "\nPDO_ATTR_SERVER_VERSION: ";
print $conn->getAttribute(PDO_ATTR_SERVER_VERSION);
print "\nPDO_ATTR_TIMEOUT: ";
print $conn->getAttribute(PDO_ATTR_TIMEOUT);
?>`

## See Also

PDO::setAttribute()
PDOStatement::getAttribute()
PDOStatement::setAttribute()

Edellinen | Alkuun | Seuraava
PDO::exec | Ylös | PDO::lastInsertId